<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
 th:replace="~{main-layout.html::main-fragment(~{::title},~{::#user-main-content})}"
>

<head>
<meta charset="UTF-8">
<title>Gestion des livres</title>
</head>
<body>
    <div class="container-fluid" id="user-main-content">

        <h1>Gestion des livres</h1>
                
        <div class="alert alert-primary" th:if="${!#strings.isEmpty(message)}" th:text="${message}"></div>
        
        <a class="btn btn-primary btn-sm" th:href="@{/admin/users/add}">Ajouter un utilisateur</a>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Email</th>
                    <th>Authority</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <tr th:each="u : ${users}">
                    <td th:text=${u.id}></td>
                    <td th:text=${u.username}></td>
                    <td></td>
                    <td>
                        <a class="btn btn-danger btn-sm" th:href="@{/admin/livres/delete/{idl}(idl=${u.id})}">Supprimer</a>
                        <a class="btn btn-success btn-sm">Modifier</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</body>
</html>